/*
    Range Slider
*/
.range-slider {
    width: 100%;
    height: 2.5em;
    display: flex;
    align-items: center;

    &__range {
        appearance: none;
        width: 100%;
        height: 0.7em;
        border-radius: 5px;
        background-color: $black;
        outline: none;

        &::-webkit-slider-thumb {
            appearance: none;
            width: 1.2em;
            height: 1.2em;
            border-radius: 50%;
            background-color: $black;
            cursor: pointer;
            transition: background-color 0.15s ease-in-out;

            &:hover {
                background-color: $black;
            }
        }

        &:active::-webkit-slider-thumb {
            background-color: $black;
        }

        &::-moz-range-thumb {
            width: 1.2em;
            height: 1.2em;
            border: 0;
            border-radius: 50%;
            background-color: $black;
            cursor: pointer;
            transition: background-color 0.15s ease-in-out;

            &:hover {
                background-color: $black;
            }
        }

        &::-moz-focus-outer {
            border: 0;
        }

        &:active::-moz-range-thumb {
            background-color: $black;
        }

        &:focus {
            &::-webkit-slider-thumb {
                box-shadow: 0 0 0 3px $white, 0 0 0 6px $black;

            }
            &::-moz-range-thumb {
                box-shadow: 0 0 0 3px $white, 0 0 0 6px $black;
            }
        }
    }

    &__value {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 6em;
        text-align: center;
    }
}